TAAS - Feature #248

Ancillary Sales Reports
07/09/2023 04:12 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Ancillary Sales Reports

Description

Coding Ancillary Sales Reports

History

#1 - 07/09/2023 04:22 PM - Anil KV

- Assignee set to travvise Admin

#2 - 07/22/2023 02:33 PM - Shanto Shaji

Note **
Ancillary Column Dynamic Service or Ancillary Service based on Grouping Selection

#3 - 08/25/2023 03:39 PM - Anil KV

Solutions

1) GUI Change
—-Status label change to Consider, Default Tick all
—Add Currency - Default Basel (***),
—Summary: -
*Group By Default Ancillary Service
*Columns—-> Ancillary Service/Service (Based on Broup by), Sale->Count, Cost, Price, Profit (Sub Columns),
(Count, Cost, Price, Profit (Sub Columns), Net (Count, Cost, Price, Profit (Sub Columns)
-Details
-Add No Grouping(default) item in Group By
—-Ticket/Voucher, Issue/Cancel Date, Doc No, Doc Date, Service, Ancillary Service, Cost, Price, Profit
2) SQL
SELECT 'Issue/Sale' AS str_type,

supd.vhr_supp_doc_no,

supd.sin_supp_doc_category,

supd. fk_service_id,

supd.sin_sys_sale_side_status,

supd.sin_sys_refund_side_status,

sups.sin_record_type,

sups.fk_ancillary_service_id,

COALESCE (supf.dbl_supplier_amount, 0.00) AS dbl_supplier_amount,

COALESCE (supf.dbl_customer_price, 0.00) AS dbl_customer_price,

COALESCE (supf.dbl_actual_profit, 0.00) AS dbl_actual_profit
FROM service.tbl_supp_doc_no supd

LEFT JOIN service.tbl_supp_doc_ap_sup_sharing sups

ON supd.pk_supp_doc_no_id = sups.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare supf

Refund

ON sups.fk_supp_doc_sup_ledg_fare_id = supf.pk_supp_doc_fare_id —-- sups.fk_supp_doc_sup_base_fare_id B

ased on input currency
LEFT JOIN service.tbl_service srv
ON supd.fk_service_id = srv.pk_service_id
LEFT JOIN service.tbl_ancillary_service ancs
ON sups.fk_ancillary_service_id = ancs.pk_ancillary_service_id
WHERE supd.sin_last_action != 0
AND supd.sin_sys_sale_side_status > 0
AND sups.fk_ancillary_service_id IS NOT NULL
UNION ALL

SELECT 'Cancel/Refund' AS str_type,
supd.vhr_supp_doc_no,
supd.sin_supp_doc_category,
supd. fk_service_id,
supd.sin_sys_sale_side_status,
supd.sin_sys_refund_side_status,
sups.sin_record_type,
sups.fk_ancillary_service_id,
COALESCE (supf.dbl_supplier_amount, 0.00) AS dbl_supplier_amount,
COALESCE (supf.dbl_customer_price, 0.00) AS dbl_customer_price,
COALESCE (supf.dbl_actual_profit, 0.00) AS dbl_actual_profit

FROM service.tbl_supp_doc_no supd
LEFT JOIN service.tbl_supp_doc_ap_sup_sharing sups
ON supd.pk_supp_doc_no_id = sups.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare supf
ON sups.fk_supp_doc_sup_ledg_fare_id = supf.pk_supp_doc_fare_id —-- sups.fk_supp_doc_sup_base_fare_id B
ased on input currency
LEFT JOIN service.tbl_service srv
ON supd.fk_service_id = srv.pk_service_id
LEFT JOIN service.tbl_ancillary_service ancs
ON sups.fk_ancillary_service_id = ancs.pk_ancillary_service_id
WHERE supd.sin_last_action != 0
AND supd.sin_sys_refund_side_status > 0
AND sups.fk_ancillary_service_id IS NOT NULL

* Refund Fare showing -ve

#4 - 09/06/2023 05:46 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#5 - 09/21/2023 10:01 AM - Junaid M

- Assignee changed from travvise Admin to Arjun V

#6 - 10/20/2023 09:50 AM - Junaid M

- Assignee changed from Arjun V to Shahil Haris

#7 - 11/22/2023 12:01 PM - Junaid M

- Assignee changed from Shabhil Haris to travvise Admin

#8 - 01/23/2024 10:33 AM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#9 - 03/07/2024 02:51 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#10 - 07/12/2024 02:52 PM - Junaid M
- Assignee changed from Vivekp V to Amal Ck

#11 - 07/26/2024 11:18 AM - Amal Ck
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#12 - 08/05/2024 02:32 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#13 - 08/10/2024 12:02 PM - unnikannan S
- Status changed from Coding Done to Testing Started

- Tested By set to unnikannan S

#14 - 08/10/2024 01:24 PM - unnikannan S
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.Clear All Selection From Details Tab
2.Not Clearing Data While Clearing Added Airline Code And Search

#15 - 08/12/2024 02:43 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 09/20/2024 06:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#17 - 11/12/2024 02:52 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Increase the column width of Ancillary services in summary tab.

#18 - 11/15/2024 11:02 AM - Amal Ck
grid width issue in multiple tab ui (refer: #277 (5))

#19 - 11/15/2024 11:03 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 11/23/2024 01:22 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#21 - 01/16/2025 03:52 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to New Changes
- Assignee changed from Amal Ck to Augustin Jose

- % Done changed from 90 to 50

New Change

1)Add redirection to document number and ticket/voucher number

Issue found

1)Sold ticket on redirection load in Issue module
2)Issue date is not correct in document tab

#22 - 01/16/2025 03:53 PM - Theja Ponon

- Status changed from New Changes to Reopen Bugs

#23 - 01/23/2025 04:07 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 01/24/2025 11:35 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90
